For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Categories

Product category organization and hierarchy.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumberOptionalExample: 1
ippnumberOptionalExample: 50
sortstringOptional

If not set, sort will be defaulted as name (ASC)

Example: -name
searchstringOptionalExample: q
Responses
200

Returns a ProductCategoryCollection

application/json
_totalnumberRequired
get/pos/products/categories
GET /apis/v2/pos/products/categories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "priority": 0,
      "subcategories": {
        "_total": 1
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRequired
namestringRequired
descriptionstring · nullableOptional
prioritynumberOptionalDefault: 0
subcategoriesone ofOptional
or
_linksobjectRequired
Responses
201

Returns a ProductCategory

application/json
idstringRequired
namestringRequired
descriptionstring · nullableOptional
prioritynumberOptionalDefault: 0
subcategoriesone ofOptional
or
_linksobjectRequired
post/pos/products/categories
POST /apis/v2/pos/products/categories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "subcategories": {
    "_total": 1
  },
  "_links": {}
}
{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "subcategories": {
    "_total": 1
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Returns a ProductCategoryCollection

application/json
_totalnumberRequired
patch/pos/products/categories
PATCH /apis/v2/pos/products/categories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "items": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "priority": 0
    }
  ]
}
{
  "items": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "priority": 0,
      "subcategories": {
        "_total": 1
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
Responses
200

Returns a ProductCategory

application/json
idstringRequired
namestringRequired
descriptionstring · nullableOptional
prioritynumberOptionalDefault: 0
subcategoriesone ofOptional
or
_linksobjectRequired
get/pos/products/categories/{productCategoryId}
GET /apis/v2/pos/products/categories/{productCategoryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "subcategories": {
    "_total": 1
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
Responses
200

Returns a ProductCategory

application/json
idstringRequired
namestringRequired
descriptionstring · nullableOptional
prioritynumberOptionalDefault: 0
subcategoriesone ofOptional
or
_linksobjectRequired
delete/pos/products/categories/{productCategoryId}
DELETE /apis/v2/pos/products/categories/{productCategoryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "subcategories": {
    "_total": 1
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
Body
idstringRequired
namestringRequired
descriptionstring · nullableOptional
prioritynumberOptionalDefault: 0
subcategoriesone ofOptional
or
_linksobjectRequired
Responses
200

Returns a ProductCategory

application/json
idstringRequired
namestringRequired
descriptionstring · nullableOptional
prioritynumberOptionalDefault: 0
subcategoriesone ofOptional
or
_linksobjectRequired
patch/pos/products/categories/{productCategoryId}
PATCH /apis/v2/pos/products/categories/{productCategoryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "subcategories": {
    "_total": 1
  },
  "_links": {}
}
{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "subcategories": {
    "_total": 1
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
Body
Responses
200

Returns a ProductCategory

application/json
idstringRequired
namestringRequired
descriptionstring · nullableOptional
prioritynumberOptionalDefault: 0
subcategoriesone ofOptional
or
_linksobjectRequired
put/pos/products/categories/{productCategoryId}/tax-category
PUT /apis/v2/pos/products/categories/{productCategoryId}/tax-category HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "taxCategory": {
    "id": "text"
  }
}
{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "subcategories": {
    "_total": 1
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productCategoryIdstringRequired
Responses
200

Returns a ProductCategory

application/json
idstringRequired
namestringRequired
descriptionstring · nullableOptional
prioritynumberOptionalDefault: 0
subcategoriesone ofOptional
or
_linksobjectRequired
delete/pos/products/categories/{productCategoryId}/tax-category
DELETE /apis/v2/pos/products/categories/{productCategoryId}/tax-category HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "description": "text",
  "priority": 0,
  "subcategories": {
    "_total": 1
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}

Last updated

Was this helpful?